import{json,
       select,
       set,
       tsv,
       geoPath,
       geoNaturalEarth1,
       zoom,
       event
      } from 'd3';

import{feature, topojson} from 'topojson';

var width = 960,
    height = 600;  

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

var path = geoPath()
    .projection(projection);

var svg = select("body").append("svg")
    .attr("width", width)
    .attr("height", height);

var selected = set([
   9, 10, 12, 13, 17, 18, 19, 21, 23, 24,
  25, 26, 29, 31, 33, 34, 36, 37, 39, 42,
  44, 45, 47, 50, 51, 54, 55
]);

json("https://unpkg.com/us-atlas@1/us/10m.json", function(error, us) {
  if (error) throw error;

  svg.append("path")
      .datum(topojson.feature(us, us.objects.states))
      .attr("class", "state")
      .attr("d", path);

  svg.append("path")
      .datum(topojson.mesh(us, us.objects.states, function(a, b) { return a !== b; }))
      .attr("class", "state-boundary")
      .attr("d", path);

  svg.append("path")
      .datum(topojson.merge(us, us.objects.states.geometries.filter(function(d) { return selected.has(d.id); })))
      .attr("class", "state selected")
      .attr("d", path);
});

d3.select(self.frameElement).style("height", height + "px");

